- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference Class Reference

`#include <CommandDispatcherEntry.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference:

[legend]
List of all members.

## Public Member Functions
| ParameterReference (unsigned int index)
virtual bool | isLiteral () const
virtual const Mers::Utils::Lang::String & | getLiteral () const throw (Mers::Utils::Exceptions::RuntimeException *)
virtual unsigned int | getReference () const
## Protected Attributes
unsigned int | m_refIndex
| The index of the referenced parameter.

## Detailed Description

This class stores a single reference.

Definition at line 453 of file CommandDispatcherEntry.h.

## Constructor & Destructor Documentation

Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference::ParameterReference | ( | unsigned int | index | ) | `[inline]`

Constructs this object.

Parameters:

  | index | The index of the referenced parameter.

Definition at line 461 of file CommandDispatcherEntry.h.

## Member Function Documentation

virtual bool Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference::isLiteral | ( |  | ) | const`[inline, virtual]`

Returns true if this is a literal. False indicates that this is a reference object.

Implements Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter.

Definition at line 470 of file CommandDispatcherEntry.h.

const String & CommandDispatcherEntry::ParameterReference::getLiteral | ( |  | ) | const throw (Mers::Utils::Exceptions::RuntimeException *)`[virtual]`

Returns the parameter's string literal.

Implements Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter.

Definition at line 331 of file CommandDispatcherEntry.cpp.

virtual unsigned int Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::ParameterReference::getReference | ( |  | ) | const`[inline, virtual]`

Returns the index of the referenced parameter for this parameter.

Implements Mers::Executives::DeductiveController::Command::CommandDispatcherEntry::Parameter.

Definition at line 484 of file CommandDispatcherEntry.h.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcherEntry.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Command/CommandDispatcherEntry.cpp